package com.progetto.VEBS.model.dto;

import org.locationtech.jts.geom.Geometry;

import com.progetto.VEBS.model.entity.AreaVerde;

public class IngressoAreaVerdeDTO {
	
	private Integer id_ingresso;
	private String nome;
    private Geometry geometria;
    private AreaVerde area_verde;


    public void IngressoAreaVerdeDTO() {}
    
    public void IngressoAreaVerdeDTO(Integer id_ingresso, String nome,  Geometry geometria, AreaVerde area_verde) {
    	this.id_ingresso = id_ingresso;
    	this.nome = nome;
    	this.geometria = geometria;
    	this.area_verde = area_verde;
    }

    // Getter e Setter
    public Integer getId() {
        return id_ingresso;
    }

    public void setId(Integer id_ingresso) {
        this.id_ingresso = id_ingresso;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public Geometry getGeometry() {
        return geometria;
    }

    public void setGeometry(Geometry geometria) {
        this.geometria = geometria;
    }

    public AreaVerde getAreaBlu() {
        return area_verde;
    }

    public void setAreaBlu(AreaVerde area_verde) {
        this.area_verde = area_verde;
    }
}
